Main Page Groups Namespaces

# sigc::internal::slot_do_unbind Struct Reference

Functor used to remove a dependency from a trackable. More...

List of all members.

## Public Member Functions
| slot_do_unbind (slot_rep* rep)
| Construct a slot_do_unbind functor.
void | operator() (const trackable* t) const
| Removes a dependency from `t`.
## Public Attributes
slot_rep* | rep_
| The slot_rep object trackables don't need to notify on destruction any more.

## Detailed Description

Functor used to remove a dependency from a trackable.

## Constructor& Destructor Documentation

sigc::internal::slot_do_unbind::slot_do_unbind | ( | slot_rep* | rep | ) | `[inline]`

Construct a slot_do_unbind functor.

Parameters:

  | rep | The slot_rep object trackables don't need to notify on destruction any more.

## Member Function Documentation

void sigc::internal::slot_do_unbind::operator() | ( | const trackable* | t | ) | const`[inline]`

Removes a dependency from `t`.

Parameters:

  | t | The trackable object to remove the callback from.

## Member Data Documentation

slot_rep* sigc::internal::slot_do_unbind::rep_

The slot_rep object trackables don't need to notify on destruction any more.

The documentation for this struct was generated from the following file:

- slot_base.h